# TODO: build guicast as separate, shared library to use in
#       xmovie, mix2000 and cinelerra
Summary:	Cinelerra - capturing, editing and production of audio/video material
Summary(pl):	Cinelerra - nagrywanie, obrbka i produkcja materiau audio/video
Name:		cinelerra
Version:	1.2.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/heroines/%{name}-%{version}-src.tar.bz2
# Source0-md5:	d28addc4526d62d4f11047a3a3e1ac73
Patch0:		%{name}-system-libs.patch
Patch1:		%{name}-libsndfile1.patch
Patch2:		%{name}-strip.patch
Patch3:		%{name}-fontsdir.patch
Patch4:		%{name}-alpha.patch
URL:		http://heroinewarrior.com/cinelerra.php3
BuildRequires:	XFree86-devel
BuildRequires:	esound-devel
BuildRequires:	freetype-devel >= 2.1.4
BuildRequires:	lame-libs-devel >= 3.93.1
BuildRequires:	libavc1394-devel >= 0.4.1
BuildRequires:	libmpeg3-devel >= 1.5.3
BuildRequires:	libsndfile-devel >= 1.0.5
BuildRequires:	libstdc++-devel >= 5:3.2.2
BuildRequires:	libtiff-devel >= 3.5.7
BuildRequires:	libuuid-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	quicktime4linux-devel >= 2.0.3
Requires:	freetype >= 2.1.4
Requires:	libavc1394 >= 0.4.1
Requires:	libmpeg3 >= 1.5.3
Requires:	libsndfile >= 1.0.5
Requires:	quicktime4linux >= 2.0.3
Obsoletes:	bcast
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# defaulttheme and microtheme cannot be stripped
# (they have resources appended to linked binary :/)
%define		no_install_post_strip	1

%description
There are two types of moviegoers: producers who create new content,
going back over their content at future points for further refinement,
and consumers who want to acquire the content and watch it. Cinelerra
is not intended for consumers. Cinelerra has many features for
uncompressed content, high resolution processing, and compositing,
with very few shortcuts. Producers need these features because of the
need to retouch many generations of footage with alterations to the
format, which makes Cinelerra very complex.

Cinelerra was meant to be a Broadcast 2000 replacement.

%description -l pl
S dwa rodzaje uytkownikw zajmujcych si filmami: producenci
tworzcy nowe filmy, wracajcy do nich w przyszoci w celu dalszego
wygadzenia, oraz konsumenci, ktrzy chc tylko zdoby film i go
obejrze. Cinelerra nie jest dla konsumentw. Program ma wiele
moliwoci do edycji nieskompresowanej zawartoci, obrbki w wysokiej
rozdzielczoci oraz montau, z bardzo ma liczb skrtw. Producenci
potrzebuj tych moliwoci ze wzgldu na konieczno retuszowania
oraz modyfikacji formatu, co czyni program bardzo zoonym.

Cinelerra bya tworzona z myl o zastpieniu programu Broadcast 2000.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# assume we have <linux/videodev2.h> (it's in llh)
echo '#define HAVE_V4L2' > hvirtual_config.h

%build
CFLAGS="%{rpmcflags} -fno-rtti"; export CFLAGS
%{__make} -f build/Makefile.toolame
%{__make} -C mpeg2enc
%{__make} -C mplexhi
%{__make} -C mplexlo
%{__make} -C guicast
# cinelerra, defaulttheme and microtheme are stripped before running "bootstrap"
%{__make} -C cinelerra \
	STRIP="%{?debug:true}%{!?debug:strip -R.note -R.comment}"
%{__make} -C plugins \
	STRIP="%{?debug:true}%{!?debug:strip -R.note -R.comment}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/cinelerra}

install cinelerra/*/cinelerra $RPM_BUILD_ROOT%{_bindir}
install plugins/`uname -m`/*.plugin $RPM_BUILD_ROOT%{_libdir}/cinelerra

%if 0%{!?debug:1}
# strip all that can be stripped
find $RPM_BUILD_ROOT%{_libdir}/cinelerra -name '*.plugin' | \
	grep -v 'defaulttheme\|microtheme' | xargs strip -R.note -R.comment
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{*.png,*.html,press} cinelerra/{CHANGELOG*,TODO}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/cinelerra
